
Katello - Refactor #19106

Add single table inheritance to Repository model

03/31/2017 09:56 AM - John Mitsch

Status: New   

Priority: Normal   

Assignee: John Mitsch   

Category: Repositories   

Target version: Katello Backlog   

Branch:  Pull request:  

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

This is the first step in migrating repositories to STI. We can add a "type" column and create the empty inheritance classes, but leave

all other functionality the same.

Related issues:

Related to Katello - Tracker #19105: Repository STI refactoring New 03/31/2017

History

#1 - 03/31/2017 09:57 AM - John Mitsch

- Related to Tracker #19105: Repository STI refactoring added

#2 - 03/31/2017 10:06 AM - John Mitsch

- Tracker changed from Bug to Refactor

- Category set to Repositories

#3 - 04/27/2017 02:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- translation missing: en.field_release deleted (114)

- Pull request https://github.com/Katello/katello/pull/6767 added

#4 - 05/03/2017 02:27 PM - Justin Sherrill

- translation missing: en.field_release set to 250

#5 - 09/06/2017 02:28 PM - Justin Sherrill

- Status changed from Ready For Testing to New

- translation missing: en.field_release changed from 250 to 114

- Pull request deleted (https://github.com/Katello/katello/pull/6767)
